Create a custom domain
curl --request POST \
--url https://api.pocketflows.com/businesses/{id}/custom_domains \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.pocketflows.com/businesses/{id}/custom_domains"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.pocketflows.com/businesses/{id}/custom_domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"business": "<string>",
"domain": "<string>",
"dns_records": [
{
"name": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"created_at": "<string>",
"validated": true,
"setup_completed_at": "<string>",
"setup_type": "<string>"
}Custom domains
Create a custom domain
POST
/
businesses
/
{id}
/
custom_domains
Create a custom domain
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the business
Body
application/json
The domain name
Response
200 - application/json
The created CustomDomain object
The ID of the custom domain
The ID of the business
The domain name
The DNS records for the domain
Show child attributes
Show child attributes
The date and time the custom domain was created
Whether the domain is valid
The date and time setup was completed
The type of setup (automatic or manual)
⌘I